import Vue from 'vue'
import VueRouter from 'vue-router'
Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'loginTest',
    meta:{
      inStructure:false
    },
    component: () => import('@/views/loginTest.vue')
  },
  {
    path: '/index',
    name: 'index',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/index/index.vue')
  },
  {
    path: '/recruitmentPlan',
    name: 'recruitmentPlan',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/recruitmentPlan.vue')
  },
  {
    path: '/recruitmentPerson',
    name: 'recruitmentPerson',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPerson/recruitmentPerson.vue')
  },
  {
    path: '/personalCenter',
    name: 'personalCenter',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/user/personalCenter/personalCenter.vue')
  },
  {
    path: '/recruitmentPlan',
    name: 'recruitmentPlan',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/RecruitmentPeople.vue')
  },
  {
    path: '/RecruitmentPeople',
    name: 'RecruitmentPeople',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/RecruitmentPeople.vue')
  },
]

const router = new VueRouter({
  routes
})
// 解决报错
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
export default router
